# -*- coding: utf-8 -*-

{
    'name':u'WRC-820设置',
    'index':110,
    'at_groups_config':
    [
        {
            'name':u'版本和编号',
            'at_group':['AT+VERS', 'AT+BAR', 'AT+ID', ],
        },
        {
            'name':u'高级选项',
            'at_group':['AT+CAPN',
						'AT+WATEXTN=reboot',
                        'AT+STCRSV',
                        'AT+STARTSTR', ],
        },
        {
            'name':u'串口通讯主服务器配置',
            'at_group':['AT+PKMD',
                        'AT+SERVER',
                        'AT+DELAY',
                        'AT+BAUD',
                        'AT+UTCF',
                        'AT+UDPM',
                        'AT+HEART',
                        'AT+CRGDA',
                        'AT+SRVHEART',],
        },
        ##{
        ##    'name':u'多服务器配置',
        ##    'at_group':['AT+BKSVR', 'AT+DLSRVC',],
        ##},
        {
            'name':u'网口通讯配置',
            'at_group':['AT+LANCNF',
                        'AT+LANRTIP',
                        'AT+VPNCNF',
                        'AT+NETDEVIP',],
        },
        {
            'name':u'短信配置',
            'at_group':['AT+MSOT', 'AT+CREN', 'AT+CRPH', ],
        },
        {
            'name':u'WIFI设置',
            'at_group':['AT+WIFIDEV',
                        'AT+WIFISAP',
                        'AT+WIFIDHCP',
                        'AT+WIFIDHCPCF',
                        'AT+WIFICLI',
                        'AT+WIFICLIIP',
                        'AT+WIFIRELOAD',
                        'AT+WIFILIST',],
        },
        {
            'name':u'WRC820水文参数配置',
            'at_group':['AT+WATCONF', 'AT+BDSIM',],
        },
        {
            'name':u'WRC820传感器配置',
            'at_group':['AT+WATSENCNF', 'AT+WATSENCNF_1', 'AT+WATRTSPPIC', ],
        },
        {
            'name':u'WRC820控制指令',
            'at_group':['AT+WATVERS', 'AT+WATTIME', 'AT+WATRNGN=H', 'AT+WATENT', 'AT+WATUPMD', 'AT+WATRESET', 'AT+WATCLR', ],
        },
        {
            'name':u'保存&重启',
            'at_group':['AT+SAVE', 'AT+WATCONF=-S', 'AT+WATSENCNF=-S', 'AT+RESET', 'AT+WATRESET', ],
        },
	],
	'pre_read_commands':['AT+WATCONF', 'AT+WATSENCNF', ],
	'extension':
	{
	    'name':'wrc_820',
	    'version_prefix':'WATIC PROTOCOL, ',
	    'version_format':'%b %d %Y %H:%M:%S',
	    'check_only':True,
	},
}